
Figure - Bug #115665
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【通知中心】当通知中心内容多余一屏时，右侧没有滚动条
2023-02-01 14:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-01

Priority: Normal Due date: 2023-02-15

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Reproducibility: Every time Fixed Version: 2023-02-16

Test Type: ST Root cause: 需求变更

Description

【前提条件】

1、设备已开机

【测试步骤】

1、设备通知中心内容多余一屏

【预期结果】

1、通知中心右侧应该有滚动条

【实际结果】

1、通知中心右侧没有滚动条

History

#1 - 2023-02-02 19:29 - CD FW 曹覃刚

- Due date set to 2023-02-09

- Status changed from New to ASSIGNED

#2 - 2023-02-08 19:46 - CD FW 曹覃刚

- Due date changed from 2023-02-09 to 2023-02-15

影响小，优先解其他问题，变更计划完成日期

#3 - 2023-02-10 09:40 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#4 - 2023-02-14 18:14 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis
根据滚动距离，可见控件高度和完整的内容高度来完成计算，进而绘制出scroll bar

■ Commit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/181634

#5 - 2023-02-15 13:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181634 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Notification:add scroll barTC-RID: 1201-0201902IssueID: TS-R-BUG-115665Change-Id: I9f7475c2bbbe8e6f061cab3a3a1fb5c3492fd6bf

#6 - 2023-02-15 13:42 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-16

- Root cause set to 需求变更

#7 - 2023-02-15 20:39 - CD APP-王宏

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

#8 - 2023-02-15 20:49 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

因为没有判断内容的高度和控件固定高度的大小，导致了异常情况，随补交此条commit

■ Commit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/181980

#9 - 2023-02-16 14:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181980 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Notification:fixed scroll barTC-RID: 1201-0201902IssueID: TS-R-BUG-115665Change-Id: I72c97294a836488af9189b438218c5874efc8839

#10 - 2023-02-16 19:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/181634
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/181980


182289 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification:Fix the problem that when the starting point is on the notification when scrolling up and down the notification center, sometimes it cannot be

scrolled.TC-RID: 1201-0201902IssueID: TS-R-BUG-115665Change-Id: Ifce53b9550e7b2c50f402fea52c16dac985bbd5d

#11 - 2023-02-16 19:46 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#12 - 2023-02-20 10:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

2.20

验证通过

#13 - 2023-02-20 10:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
